# FaceExpressions | @vladmandic/face-api - v1.7.6
Documentation for @vladmandic/face-api - v1.7.6

# Class FaceExpressions

#### Hierarchy

- FaceExpressions

- Defined in faceExpressionNet/FaceExpressions.ts:3

#####
Index

### Constructors

constructor

### Properties

angry
disgusted
fearful
happy
neutral
sad
surprised

### Methods

asSortedArray

## Constructors

### constructor

- new FaceExpressions(probabilities: Float32Array | number[]): FaceExpressions

- #### Parameters

  - ##### probabilities: Float32Array | number[]

  #### Returns FaceExpressions

  - Defined in faceExpressionNet/FaceExpressions.ts:12

## Properties

### angry

angry: number = 0

- Defined in faceExpressionNet/FaceExpressions.ts:7

### disgusted

disgusted: number = 0

- Defined in faceExpressionNet/FaceExpressions.ts:9

### fearful

fearful: number = 0

- Defined in faceExpressionNet/FaceExpressions.ts:8

### happy

happy: number = 0

- Defined in faceExpressionNet/FaceExpressions.ts:5

### neutral

neutral: number = 0

- Defined in faceExpressionNet/FaceExpressions.ts:4

### sad

sad: number = 0

- Defined in faceExpressionNet/FaceExpressions.ts:6

### surprised

surprised: number = 0

- Defined in faceExpressionNet/FaceExpressions.ts:10

## Methods

### asSortedArray

- asSortedArray(): {
  expression: string;
  probability: number;
  }[]

- #### Returns {
  expression: string;
  probability: number;
  }[]

  - Defined in faceExpressionNet/FaceExpressions.ts:22